Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | PVector

Name

### set()

Examples

    PVector v;

    void setup() {
      size(100, 100);
      v = new PVector(0.0, 0.0, 0.0);
      v.set(20.0, 30.0, 40.0);
      println(v.x);  // Prints "20.0"
      println(v.y);  // Prints "30.0"
      println(v.z);  // Prints "40.0"
    }

    PVector v1, v2;

    void setup() {
      size(100, 100);
      v1 = new PVector(20.0, 30.0, 40.0);
      v2 = new PVector(0.0, 0.0, 0.0);
      v2.set(v1);
      println(v2.x);  // Prints "20.0"
      println(v2.y);  // Prints "30.0"
      println(v2.z);  // Prints "40.0"
    }

    PVector v;
    float[] vvv = { 20.0, 30.0, 40.0 };

    void setup() {
      size(100, 100);
      v = new PVector(0.0, 0.0, 0.0);
      v.set(vvv);
      println(v.x);  // Prints "20.0"
      println(v.y);  // Prints "30.0"
      println(v.z);  // Prints "40.0"
    }

Description | Sets the x, y, and z component of the vector using three separate variables, the data from a PVector, or the values from a float array.

Syntax

    vec.set(x, y, z)
    vec.set(v)
    vec.set(array)

Parameters

vec | any variable of type PVector
x | float: the x component of the vector
y | float: the y component of the vector
z | float: the z component of the vector
v | PVector: the x, y, and z components from a PVector object
array | float[]: the x, y (and maybe z) components from a float array

Usage | Web & Application

Updated on November 22, 2008 08:39:25pm PST